/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021/10/26
 **/
!(function () {
    BI.Plugin = {};

    var providers = {};
    BI.Plugin.Provider = {
        register : function (type, object){
            if( !providers[type] ){
                providers[type] = [];
            }
            providers[type].push(object);
        },
        relieve : function (type){
            delete providers[type];
        },
        get :function (type){
            if( !providers[type] ){
                providers[type] = [];
            }
            return providers[type];
        }
    };

    var processors = {};
    BI.Plugin.Processor = {
        register : function (type, object){
            processors[type] = object;
        },
        relieve : function (type){
            delete processors[type];
        },
        get :function (type){
            return processors[type];
        }
    };
})();